/*
** Module   : TableIdentifier.java
** Abstract : Unique external identifier for a database table
**
** Copyright (c) 2004-20013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -T- --JPRM-- ----------------Description-----------------
** 001 VMN 20130830              Created initial version. Unique external identifier for
**                               a database table.
*/

package com.goldencode.p2j.persist;

/**
 * A combination of database table name and special identifier, which uniquely identifies
 * a database record or table as whole.
 */
public class TableIdentifier
extends RecordIdentifier
{
   /** Special RecordIdentifier to represent the table being locked. */
   private static final String TABLE_ID = "T";

   /**
    * Constructor.
    *
    * @param   table
    *          Table name.
    *
    * @throws  NullPointerException
    *          if any parameter is <code>null</code>.
    */
   public TableIdentifier(String table)
   {
      super(table, TABLE_ID);
   }
}
